**`PREETAM`[NAME]** R MELAVANKI -NL- **`PROFESSIONAL SUMMARY`[SUMMARY_HEADING]** -NL-  Over 10+ years of experience in SDLC including N-tier applications, designing, -NL- developing Client/Server, Documentation, Software Development Life Cycle (Waterfall -NL- model, Prototype model, Agile Methodology with Scrum Implementation and as -NL- a Scrum Master ), Intranet and Internet based applications. -NL-  Primary Areas of Technical expertise include Microsoft .Net Framework 4.5, Design -NL- Patterns C#.Net , VB.net, MVC 4.0, Win Forms, ADO.Net , HTML , XHTML , -NL- JavaScript,JQuery , COM objects, XML , XSL, XML Web Services ,Web Api, -NL- CSS , WCF ,SSIS, SSRS and Crystal reports, Pl/SQL ,SQL Server 2012, -NL- Oracle 11i. -NL-  Exposed to the various business domains throughout the career such as Banking, -NL- Finance,ERP, Human Resources and College/University Management. -NL-  Design Patterns with focus on Factory and Dependency Injection/Inversion of -NL- Control patterns. -NL-  Good at problem solving, debugging skills, quick starter and always keen to learn and -NL- adopt new tools and technologies and work efficiently, independently or as part of a -NL- team. -NL-  Proven Experience in complete development Lifecycle phases including planning, -NL- requirements collection, detailed design, implementation and testing. -NL-  Extensive Experience in design, development of Internet/Intranet applications using, -NL- ASP.NET, VB.NET, C#.Net, C++, IIS, HTML, DHTML, JavaScript,JQuery and Angular JS. -NL-  Implemented Angular JS with focus on modules configuring routes to cater -NL- different views using multiple controllers and Web Api -NL-  Expertise in using Telerik, Controls and Ajax Controls. -NL-  Strong knowledge in Service Oriented Architecture including Windows Services -NL- and XML Web services. -NL-  Exposure to SQL Server Reporting Services (SSRS) Development and SSIS. -NL-  Expertise in writing complex and analytical reports using Crystal Reports 9.0 & 11.0. -NL-  Experience in developing Stored Procedures, Functions, and Triggers for the -NL- implementation of data integrity using SQL, PL/SQL. -NL-  Experienced in doing .Net Builds and Deployments. -NL- Tools and Technologies: -NL-  Programming Languages: C#,Vb.net,C,C++ SQL, JavaScript -NL-  Analytic Packages: Microsoft Excel 2013/2010-Pivot Tables, Microsoft Excel -NL- 2013/2010-PowerPivot. -NL-  Application Frameworks: Dot Net 2.0-4.5, Angular JS,J-Query -NL-  Server Operating Systems: Windows Server 2012, Windows Server 2008/2008- -NL- R2, Windows Server 2003 -NL-  Server Applications: Microsoft Project Server 2007 -NL-  Database: SQL Server 2005/2008/2012 and Oracle 11i -NL-  Architecture: Client Server, 3-Tier, N-tier, SOA, REST, SaaS -NL-  IDE: Visual Studio 2012/2010/2008, SQL Server 2012/2010 Management Studio, -NL-  Version Control Tools: VSS, Tortoise SVN, TFS -NL-  Web Services API: Web Services,.net remoting,WCF, ASP.NET Web API -NL-  Web Technologies: ASP.NET,ASP.NET MVC, ASP.NET AJAX, XML, XSD, XSLT, XHTML, -NL- HTML, CSS, jQuery -NL-  Report/Dashboard Designers: Crystal Reports, SQL Server Reporting Services -NL- (SSRS) and SSIS -NL-  Other Tools: MS Office 2007/2010, MS InfoPath 2007/2010, MS Visio 2007/2010, -NL- Workflow, Telerik Rad Controls for ASP.NET AJAX v2009, Fiddler -NL- **`Certifications`[OTHERS_HEADING]** -NL-  Certified in Microsoft .Net framework 4.0 (70515) Web Development(MCTS). -NL-  Certified in IIBF(Indian Institute of Banking and Finance) -NL- **`Education Qualification:`[EDUCATION_HEADING]** -NL-  **`Bachelor of Engineering`[EDUCATION_DEGREE]** (B.E), **`Electronics and Communications Engineering`[EDUCATION_COURSE]** -NL-  V.T.U, India. -NL- **`Projects Summary:`[OTHERS_HEADING]** -NL- 09/2 -NL- **`GPC`[EMPLOYER_COMPANY_NAME]**, Smyrna, CA -NL- 017-Till Date -NL- Role: **`Lead .NET developer`[EMPLOYER_ROLE]** -NL- Scope: This application caters the Retail Domain with Stores and the associated -NL- planograms. This application basically stores the stores and products. Also it involves the -NL- assignment of the planograms on the stores. This application also details the store and -NL- products layout which are basically rendered as pdfs -NL- Role and responsibilities: -NL-  Gathering the requirement from the Product owners. -NL-  Mentoring peers of the team with any roadblocks and help guiding them on the -NL- requirements and technical blocks.. -NL-  Development of screens with all of the latest Microsoft technologies with Angular -NL- 1.5 . -NL-  Revamp of the existing code in different languages to a new integrated solution in -NL- C#. -NL-  Implemented TPL to enhance better performance of the parallel programming. -NL-  Creating and maintaining the system documentation. -NL-  Involved in the conference, status and scrum calls. -NL-  Involved in the quarterly product deployment on the production servers. -NL- 04/2 -NL- **`SPM`[EMPLOYER_COMPANY_NAME]**, Folsom, CA -NL- 017-09/2017 -NL- Role: **`Lead .NET developer`[EMPLOYER_ROLE]** -NL- Scope:RPOS is a loan management/lending system tool where a Loan officer basically -NL- creates a prospect/loan for a Borrower collecting all of the key borrower details as a -NL- potential prospect and then running a check if he is eligible for a loan through different -NL- system check and then funding the loan to the given borrower. -NL- Role and responsibilities: -NL-  Materializing the requirement from the **`SPM`[EMPLOYER_COMPANY_NAME]** services and then consuming them. -NL-  Mentoring peers on the offshore team with any roadblocks and help guiding them -NL- on the requirements and technical blocks.. -NL-  Development of screens with all of the latest Microsoft technologies with Angular -NL- 1.5 . -NL-  Revamp of the existing code in different languages to a new integrated solution in -NL- C#. -NL-  Used Angular JS Directives and Expressions to manipulate UI data entry points -NL- and asynchronous calls in the application. -NL-  Implemented TPL to enhance better performance of the parallel programming. -NL-  Creating and maintaining the system documentation. -NL-  Involved in the conference, status and scrum calls. -NL-  Involved in the quarterly product deployment on the production servers. -NL-  Onsite/Offshore Co Ordination -NL- Tools and Technologies: C# 4.5, Windows Server 2008 R2, Visual Studio 2015,SSRS, -NL- Web API, .Net4.5, Angular JS 1.5/2.0,MVC, VS Code.TFS 2015 and Source Tree,NUnit -NL- 12/201 -NL- **`Wells Fargo India Solutions Pvt Ltd`[EMPLOYER_COMPANY_NAME]** -NL- 4 -03/2017 -NL- Role: **`Lead`[EMPLOYER_ROLE]** **`.NET developer`[EMPLOYER_ROLE]** -NL- Scope:1NA1/1AM1 is a Brokerage account management tool which is used to -NL- create/maintain the brokerage accounts ,this app has screens from where we collect the -NL- data from the Financial advisors and submitted the data from this tool to mainframe -NL- system(Beta) .The FA’s collects data from the customers and then feed the data on to the -NL- oracle db via screens which will be then serialized and submitted on to the mainframe -NL- systems. -NL- Role and responsibilities: -NL-  Materializing the requirement from UI, services and aflavor of DB perspective. -NL-  Mentoring peers on the technological aspects clearing the immediate technical road -NL- blocks. -NL-  Development of screens with all of the latest Microsoft technologies . -NL-  Revamp of the existing code in different languages to a new integrated solution in -NL- C#. -NL-  Identifying and applying feasible patterns to revamp the existing solution. -NL-  Used Angular JS Directives and Expressions to manipulate UI data entry points -NL- and asynchronous calls in the application. -NL-  Implemented TPL to enhance better performance of the parallel programming. -NL-  Creating and maintaining the system documentation. -NL-  Involved in the conference, status and scrum calls. -NL-  Involved in the quarterly product deployment on the production servers. -NL-  Created Tabular reports, Matrix Reports and ad hoc reports based on the -NL- requirements using SSRS. -NL-  Used SQL Server Integration Services to perform bulk insertion operation from Sql to -NL- flatfiles and vice versa. -NL-  On Site/Off Shore co ordination -NL- Tools and Technologies: C# 5.0, Windows Server 2008 R2, SharePoint 2010, SQL Server -NL- 2012,SSRS,SSIS, -NL- Visual -NL- Studio -NL- 2012, -NL- WCF, -NL- ASP.NET -NL- Forms,HTML5,CSS3.0 , .Net4.5,Javascript, AJAX 3.5, jQuery 2.1, Angular JS 1.5/2.0,MVC4, -NL- Tortoise SVN 1.8,MS Test, Entity Framework,Jenkins and GIT. -NL- **`Wells Fargo India Solutions PVT Ltd`[EMPLOYER_COMPANY_NAME]** -NL- Role: **`Lead`[EMPLOYER_ROLE]**/**`Sr .NET developer`[EMPLOYER_ROLE]** -NL- Scope:Repair Feature is a Brokerage account management tool which is used correct -NL- the data and process some of the request during the off hours.This tool is used to correct -NL- the data whenever we have a batch failures or during the system off hours .With the data -NL- correction we can then re run our batches and see success of our customer details. -NL- Role and responsibilities: -NL-  Design and development of screen using All of the cutting edge technologies . -NL-  Identifying and applying feasible patterns or solutions that could handle any -NL- failures. -NL-  Used Angular JS Directives and Expressions to manipulate UI data entry points -NL- and asynchronous calls in the application with web Api. -NL-  Creating and maintaining the system documentation. -NL-  Involved in the conference, status and scrum calls. -NL-  Created user guides. -NL-  Involved in the deployment of this tool during the quarterly releases. -NL-  Created Tabular reports, Matrix Reports and ad hoc reports based on the -NL- requirements using SSRS. -NL-  Used SQL Server Integration Services to perform bulk insertion operation from Sql to -NL- flatfiles and vice versa. -NL-  On Site/Off Shore co ordination -NL- Tools and Technologies: C# 4.5, F#, Windows Server 2008 R2, SQL Server 2012, Visual -NL- Studio 2015, Web Api, HTML5,CSS3.0,Angular JS1.2 , .Net4.5, JQuery 2.1,TFS 2010 -NL- 02/201 -NL- **`ITC Infotech-Danske Bank`[EMPLOYER_COMPANY_NAME]**, Aarhus, DK -NL- 1 – 11/2014 -NL- Role: **`Lead`[EMPLOYER_ROLE]** -NL- Scope: Gemini tool is used to create a custom controls which will be then used by all the -NL- developers so that this tools could be then used to map the request/response. -NL- Responsibilities -NL-  Materializing the requirement from UI, services and aflavor of DB perspective. -NL-  Development of Out of Box Templates and controls to host this tool. -NL-  Implementing MVC pattern carefully intertwining WCF, UI and Data Base. -NL-  Working in cross server platform, have an in depth understanding of communication -NL- protocols. -NL-  Heavy use of JQuery were used to manipulate the incoming and Ajax calls. -NL-  Implemented PLINQ for data manipulation between WCF Data contracts and models. -NL-  Worked on Agile with scrum implementation -NL-  Attended/**`Lead`[EMPLOYER_ROLE]** the calls as Participant and Scrum master. -NL- Tools and Technologies: C# 4.5,Windows Server 2012, SQL Server 2012, SQL Server -NL- 2012 Reporting Services(SSRS), SSIS,PerformancePoint Dashboard Designer, Visual Studio -NL- 2010/2012, WCF,ASP.NET 4.5/4.0/3.5, ASP.NET AJAX 3.5,Javascript, jQuery. -NL- **`ITC Infotech-Danske Bank`[EMPLOYER_COMPANY_NAME]**, Aarhus, DK -NL- Role: **`Lead`[EMPLOYER_ROLE]** -NL- Panels UI Tool: This tool is used to Create/List/Update/Delete the panels that are used by -NL- the Gemini users .this panels can then used by the mainframe developers to know the no -NL- of panels that have been pushed on to the production -NL- Role and responsibilities -NL-  Development and maintenance of this tool. -NL-  Gathered data from this screens and uploaded the same on to the databases. -NL-  Designed and developed the complete set of WCF Restful that communicate with -NL- mainframe screens and UI. -NL-  Employed LINQ to XML/JSON for the xml server side reading and writing purposes. -NL-  Developed the functional screens using MVC4 Razor View. -NL-  Share point was integrated with Documentum for large document processing. -NL-  Implemented RESTFUL services to cater to the on Demand document services. -NL-  Extensively used the JQuery/Javascript and regular expressions for managing the -NL- simple UI validations on the client pages. -NL-  Created Tabular Reports, Matrix reports, ad-hoc reports based on the business requirements using -NL- SSRS. -NL-  Used SQL Server Integration Services (SSIS) to perform bulk insert operations from SQL Server -NL- databases to flat files/CSV files and vice versa. -NL-  -NL- Tools and Technologies: C#, Windows Server 2008 R2, Visual Studio 2008, MVC4, -NL- WebApi,ASP.NET 3.5, Angular Js,ASP.NET AJAX 3.5, SQL Server 2008, JavaScript, jQuery , -NL- Team Foundation Server,SSRS,SSIS. -NL- 02/2010 10/2011 -NL- – -NL- **`Unisys Financial Services System`[EMPLOYER_COMPANY_NAME]** -NL- **`Sr .NET developer`[EMPLOYER_ROLE]** -NL- Scope: UFSS is afinancial system which Provides customized Insurance products to the -NL- customers,creation of those products and the maintenance over a period of time. -NL- Role and responsibilities -NL-  Estimation of the development tasks by breaking them down to smaller chunks -NL-  Directed sprints and created detailed work break down structures for various -NL- subtasks that were part offinal release -NL-  Worked on a MVC Model of Architecture -NL-  Involved in discussion related to the requirements with Product owners ,Architects -NL- and Solution Architects -NL-  Creation of User Guides. -NL-  Involved in the Status or conference call with timely updates to product owners and -NL- Team. -NL-  Exposure to deployments of the tool on the production server. -NL- Tools and Technologies: Windows Server 2008 R2, SharePoint 2007 ,Visual Studio 2008, -NL- ASP.NET 3.5,ASP.NET AJAX 3.5, ASP.NET AJAX Control Toolkit, WCF, SQL Server 2008, -NL- JavaScript, Team Foundation Server. -NL- Proxis -NL- Business -NL- Solutions -NL- ,BLR,Ind -NL- 01/2009-12/2010 -NL- Role: **`.NET developer`[EMPLOYER_ROLE]** -NL- Scope: ERP(Enterprise Resource and Planning) is an tool which basically capture all of the -NL- product details like the raw materials used to manufacture a product .Like the Inventory to -NL- purchase ,production and sales. -NL- The entire ERP of a product is maintained via this tool and also the report feature provide -NL- the history of the product, Sales and the customer details. -NL- Role and responsibilities -NL-  Worked on application architecture for mapping complex user authentication, user -NL- management and role assignment. -NL-  Designed and defined Data Layer Tables and relationships -NL-  Designed and defined entities for business layer -NL-  Wrote business layer modules for hierarchical projections,filtering and sorting -NL-  Enabled forms based authentication for the entire application -NL-  Designed UI for user registration, group and roles assignment, center management, -NL- application configuration using ASP.NET web forms . -NL-  Extensively used ASP.NET controls like Details View, Update Panel, Validation -NL- Controls (RequiredField Validator, Regular Expression Validator, Validation Summary, -NL- and Compare Validator), and Login Controls etc. -NL-  Wrote modules for client side interactivity using JavaScript, jQuery and ASP.NET -NL- AJAX -NL-  Wrote code behind logic for dynamic data loading, data binding for data controls. -NL-  Designed master pages for consistent branding across application. -NL-  Practiced Agile Development methodology -NL- Tools and Technologies: Windows Server 2003, Visual Studio 2008, Visual Studio 2008 -NL- ASP.NET 3.5,ASP.NET AJAX 3.5, SQL Server 2008, JavaScript, jQuery, Telerik RadControls for -NL- ASP.NET AJAX v2009 ,SSRS and Crystal Reports . -NL- **`Proxis Business Solutions`[EMPLOYER_COMPANY_NAME]** ,BLR,India -NL- 0 -NL- 9/2006-12/2008 -NL- Role: **`.Net Developer`[EMPLOYER_ROLE]** -NL- Scope: CMS is a college management system ,this tool captures the students and -NL- teachers details and right from course registration to attendance ,Students enrollments to -NL- subjects and Tests is all managed in this tool and also the management could generate the -NL- necessary reports for some critical decisions. -NL- Role and responsibilities -NL-  Created the UI screens required for this tool. -NL-  Wrote modules in C#.NET to manage this tool -NL-  Designed and developed on a students and employee modules. -NL-  Worked on the reporting tool using crystal reports. -NL-  Created web services to fetch data from the employees for the employees of -NL- management -NL- Tools and Technologies: Microsoft Framework Net 2.0, 3.0, Webservices, Visual Studio -NL- 2005,HTML 4.0,CSS2.0,Asp.net2.0,Crystal reports MY Sql Server with Navicat UI and -NL- webservices. -NL- 